/**
 * XActMoodEvnOrdPrmsPrp.java
 *
 * File generated from the medication::XActMoodEvnOrdPrmsPrp uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodEvnOrdPrmsPrp.
 *
 * 
 */

@XmlType(name = "XActMoodEvnOrdPrmsPrp")
@XmlEnum
@XmlRootElement(name = "XActMoodEvnOrdPrmsPrp")
public enum XActMoodEvnOrdPrmsPrp {
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodEvnOrdPrmsPrp(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActMoodEvnOrdPrmsPrp fromValue(String v) {
        for (XActMoodEvnOrdPrmsPrp c: XActMoodEvnOrdPrmsPrp.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}